/*

Copyright (C) 2010 Timothy Pearson <kb9vqf@pearsoncomputing.net>

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.

*/

#include <tqt.h>
#include <tqpopupmenu.h>

#ifdef USE_QT4

void Q3PopupMenu::changeItem( int id, const QString &text ) {
	changeItem( text, id );
}

void Q3PopupMenu::changeItem( const QString &text, int id ) {
	changeItem( text, id );
}

void Q3PopupMenu::changeItem( const QPixmap &pixmap, int id ) {
	changeItem( pixmap, id );
}

void Q3PopupMenu::changeItem( const QIconSet &icon, const QString &text, int id ) {
	changeItem( icon, text, id );
}

#endif
